clang 10.0.0git

Public Attributes | List of all members
clang::FileSystemOptions Class Reference

Keeps track of options that affect how file operations are performed. More...

`#include "clang/Basic/FileSystemOptions.h"`

Collaboration diagram for clang::FileSystemOptions:
[legend]

## Public Attributes
std::string | WorkingDir
| If set, paths are resolved as if the working directory was set to the value of WorkingDir. More...

## Detailed Description

Keeps track of options that affect how file operations are performed.

Definition at line 22 of file FileSystemOptions.h.

## Member Data Documentation

## ◆ WorkingDir

std::string clang::FileSystemOptions::WorkingDir

If set, paths are resolved as if the working directory was set to the value of WorkingDir.

Definition at line 26 of file FileSystemOptions.h.

Referenced by clang::CompilerInvocation::CreateFromArgs(), clang::FileManager::FixupRelativePath(), clang::FileManager::getBufferForFile(), ParseFileSystemArgs(), and clang::tooling::ToolInvocation::run().

The documentation for this class was generated from the following file:

- include/clang/Basic/FileSystemOptions.h